Subject: [MMUSIC] Error in RFC 3605 (Magnus Westerlund)

From: lazzaro <[email-masked]>
Date: Mon, 4 Jul 2005 09:27:49 -0700

On Jul 4, 2005, at 9:04 AM, Magnus Westerlund  
<[email-masked]> wrote:
> Some of my colleagues has found an ABNF error in RFC 3605:
> "Real Time Control Protocol (RTCP) attribute in Session Description  
> Protocol (SDP)"
>
> The ABNF in section 2.1 states:
>
>    rtcp-attribute =  "a=rtcp:" port  [nettype space addrtype space
>                          connection-address] CRLF
>
> The example just below that ABNF says:
>
>     m=audio 49170 RTP/AVP 0
>     a=rtcp:53020 IN IP6 2001:2345:6789:ABCD:EF01:2345:6789:ABCD
>
> There seem to be missing a space in between port and the option  
> address specification.

In theory, at least, we should be able to detect
mistakes like this programmatically during the
WG process ... given ABNF of generic SDP +
a new SDP addition, a filter should be able
to locate all SDP examples in an I-D, and see
if the example matches the proposed ABNF.

---
John Lazzaro
http://www.cs.berkeley.edu/~lazzaro
lazzaro [at] cs [dot] berkeley [dot] edu
---

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic